> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pocketflows.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create an embed



## OpenAPI

````yaml /openapi.json post /businesses/{id}/embeds
openapi: 3.0.3
info:
  title: Pocketflows API
  version: 0.0.4
servers:
  - url: https://api.pocketflows.com
    description: Production server
security:
  - HttpBasicAuth: []
paths:
  /businesses/{id}/embeds:
    post:
      tags:
        - Embeds
      summary: Create an embed
      parameters:
        - in: path
          name: id
          schema:
            type: string
          description: The ID of the business
          required: true
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                plg:
                  type: boolean
                  description: >-
                    Whether the embed is a PLG embed. If not provided, the embed
                    will not be a PLG embed.
      responses:
        '200':
          description: The created `Embed` object
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Embed'
components:
  schemas:
    Embed:
      type: object
      properties:
        id:
          type: string
          description: The ID of the embed
        business:
          type: string
          description: The ID of the business
        expires_at:
          type: string
          description: The time when the embed will expire in ISO 8601 format
        url:
          type: string
          description: The URL of the embed
        plg:
          type: boolean
          description: Whether this is a PLG embed
        admin:
          type: boolean
          description: Whether this is an admin embed
      required:
        - id
        - business
        - expires_at
        - url
        - plg
        - admin
      title: The Embed object
  securitySchemes:
    HttpBasicAuth:
      type: http
      scheme: basic

````